package cn.com.poc.expose.dto.model_link_api;

import java.util.List;

/**
 * @author alex.yao
 * @date 2024/12/23
 */
public class CompletionsDto {

    /**
     * 对话ID
     */
    private String conversationId;

    /**
     * 文件ID
     */
    private String fileId;

    /**
     * 对话内容
     */
    private String query;

    /**
     * 图片
     */
    private String imageUrl;

    /**
     * 是否流式传输
     */
    private Boolean stream;

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getConversationId() {
        return conversationId;
    }

    public void setConversationId(String conversationId) {
        this.conversationId = conversationId;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public Boolean getStream() {
        return stream;
    }

    public void setStream(Boolean stream) {
        this.stream = stream;
    }
}
